CVE-2008-3895

NameCVE-2008-3895
DescriptionLILO 22.6.1 and earlier stores pre-boot authentication passwords in the BIOS Keyboard buffer and does not clear this buffer before and after use, which allows local users to obtain sensitive information by reading the physical memory locations associated with this buffer.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
NVD severitylow (attack range: local)

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
lilo (PTS)wheezy1:23.2-4vulnerable
jessie1:24.1-1vulnerable
stretch1:24.2-2vulnerable
buster, sid1:24.2-3vulnerable

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
lilosource(unstable)(unfixed)unimportant

Notes

you need to be root on linux to do this, root can edit the configuration anyway

Search for package or bug name: Reporting problems